%global realname jsx
%global upstream talentdeficit


Name:		erlang-%{realname}
Version:	3.1.0
Release:	%mkrel 2
BuildArch:	noarch
Group:		Development/Erlang
Summary:	A streaming, event-driven json parsing toolkit
License:	MIT
URL:		https://github.com/%{upstream}/%{realname}
VCS:		scm:git:https://github.com/%{upstream}/%{realname}.git
Source0:	https://github.com/%{upstream}/%{realname}/archive/v%{version}/%{realname}-%{version}.tar.gz
Patch1:		erlang-jsx-0001-Adapt-to-OTP-24.patch
BuildRequires:	erlang-rebar3


%description
An Erlang application for consuming, producing and manipulating json. Inspired
by yajl.


%prep
%autosetup -p1 -n %{realname}-%{version}


%build
%{erlang3_compile}


%install
%{erlang3_install}


%check
#%%{erlang3_test}


%files
%license LICENSE
%doc CHANGES.md README.md
%{erlang_appdir}/




%changelog
* Sat Jun 28 2025 umeabot <umeabot> 3.1.0-2.mga10
+ Revision: 2217237
- Mageia 10 Mass Rebuild

* Thu Jan 05 2023 neoclust <neoclust> 3.1.0-1.mga9
+ Revision: 1930440
- New version
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sun Dec 20 2020 wally <wally> 2.9.0-1.mga8
+ Revision: 1661698
- new version 2.9.0
- make pkg noarch

* Wed Feb 12 2020 umeabot <umeabot> 2.8.0-2.mga8
+ Revision: 1511382
- Mageia 8 Mass Rebuild

* Sat Sep 22 2018 wally <wally> 2.8.0-1.mga7
+ Revision: 1296517
- imported package erlang-jsx


* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.8.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.8.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.8.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.8.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.8.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Jun  1 2016 Peter Lemenkov <lemenkov@gmail.com> - 2.8.0-2
- Spec-file cleanups

* Tue Mar  1 2016 Peter Lemenkov <lemenkov@gmail.com> - 2.8.0-1
- Ver. 2.8.0

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Aug 01 2013 gil cattaneo <puntogil@libero.it> 1.4.2-2
- add debug_package nil
- fix requires list
- drop erlang-eunit

* Fri Jul 12 2013 gil cattaneo <puntogil@libero.it> 1.4.2-1
- initial rpm
